(in-package :user)

; work-around for acl/win 3.0.1
#+aclpc
(progn
  (defvar *saved-default-pathname-defaults* nil)
  (setf *saved-default-pathname-defaults* *default-pathname-defaults*)
  (setf *default-pathname-defaults* *load-pathname*))

(if (not (find :pdefsys *features*))
    (load "/net/watson/local/janssen/ilu/lisp/pdefsys"))

(defun cls (&rest syslist)
  (dolist (sys syslist)
    (pdefsys:compile-system sys)
    (pdefsys:load-system sys)))

(load "/net/watson/local/janssen/ilu/lisp/ilu-sysdcl")

(load "test1-sysdcl")
(load "test2-sysdcl")
(load "test3-sysdcl")
(cls :test1 :test1-server :test2 :test2-server :test3 :test3-server)
(load (compile-file "server.lisp"))
(load (compile-file "client.lisp"))

#+aclpc
(setf *default-pathname-defaults* *saved-default-pathname-defaults*)

#+ilu-batch-compile
(exit)
